# GovReady-Q Compliance Server

The GovReady-Q Compliance Server is an open source GRC platform for highly automated, user-friendly, self-service compliance assessments and documentation. It's perfect for DevSecOps.

GovReady-Q solves the painful compliance bottleneck of needing months to authorize applications that deploy and redeploy in minutes.

![Apps map components to security/compliance controls](docs/source/assets/app_diagram.png)

| ATTENTION!                                                                                                         |
|--------------------------------------------------------------------------------------------------------------------|
| GovReady-Q software is "Beta" software best suited for early adopters needing faster compliance for DevSecOps.     |

## Documentation

Visit our Documentation at [govready-q.readthedocs.io](http://govready-q.readthedocs.io).

Read [What You Most Need to Know About GovReady-Q](http://govready-q.readthedocs.io/en/latest/introduction.html).

## Using Hosted GovReady-Q

There's nothing to install. [Q.GovReady.com](https://q.govready.com) is the hosted, multi-tenant version of GovReady-Q.

1. Visit [Q.GovReady.com](https://q.govready.com)
2. Fill out the form "About your organization" and "About you" to create your account
3. Don't worry about the Service Levels -- everything's available to everyone during the Beta phase
4. We'll contact you to help you get started

The hosted version is an excellent solution if have one project/system you are trying to get through NIST SP 800-53 or NIST SP 800-171 compliance, or you are have just trying to pull together a few specific compliance documents like your Privacy Policy or Rules of Behaivor. The hosted service operated by GovReady&reg; PBC, the company behind GovReady-Q Compliance Server.

If you have questions about if hosted version, email <a href="mailto:info@govready.com">info@govready.com</a>.

## Downloading GovReady-Q

| Downloading               | Where                                                                                                           |
|---------------------------|-----------------------------------------------------------------------------------------------------------------|
| Current release on Docker | [https://hub.docker.com/r/govready/govready-q/](https://hub.docker.com/r/govready/govready-q/)                  |
| Nightly Build on Docker   | [https://hub.docker.com/r/govready/govready-q-nightly/](https://hub.docker.com/r/govready/govready-q-nightly/)  |
| Clone the GitHub repo     | [https://github.com/govready/govready-q](https://github.com/govready/govready-q)                                |

## Installing GovReady-Q

| Deployment Guide                                                                                                |
|-----------------------------------------------------------------------------------------------------------------|
| [Installing on Workstations for Development](https://govready-q.readthedocs.io/en/latest/deploy_local_dev.html) |
| [Deploying with Docker](https://govready-q.readthedocs.io/en/latest/deploy_docker.html)                         |
| [Deploying on RHEL 7 / CentOS 7](https://govready-q.readthedocs.io/en/latest/deploy_rhel7_centos7.html)         |
| [Deploying on Ubuntu](https://govready-q.readthedocs.io/en/latest/deploy_ubuntu.html)                           |


## Support

[Join our mailing list](http://eepurl.com/cN7oJL) and stay informed of developments.


## Noteworthy

GovReady-Q is open source and incorporates the emerging [OpenControl](http://open-control.org) data standard for reusable compliance content.


# License / Credits

This repository is licensed under the [GNU GPL v3](LICENSE.md).

* Emoji icons by http://emojione.com/developers/.
* Generic server icon by [Stock Image Folio from Noun Project](https://thenounproject.com/search/?q=computer&i=870428).

