# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2016-05-22 16:18
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('emojis', models.CharField(blank=True, help_text='A comma-separated list of emoji names that the user is reacting with.', max_length=256, null=True)),
                ('text', models.TextField(blank=True, help_text="The text of the user's comment.")),
                ('proposed_answer', jsonfield.fields.JSONField(blank=True, help_text='A proposed answer to the question that this discussion is about.', null=True)),
                ('deleted', models.BooleanField(default=False, help_text="Set to true if the comment has been 'deleted'.")),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
            ],
        ),
        migrations.CreateModel(
            name='Discussion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('attached_to_object_id', models.PositiveIntegerField()),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
                ('attached_to_content_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='contenttypes.ContentType')),
                ('guests', models.ManyToManyField(blank=True, help_text='Additional Users who are participating in this chat, besides those that are members of the Project that contains the Discussion.', to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AddField(
            model_name='comment',
            name='discussion',
            field=models.ForeignKey(help_text='The Discussion that this comment is attached to.', on_delete=django.db.models.deletion.CASCADE, related_name='comments', to='discussion.Discussion'),
        ),
        migrations.AddField(
            model_name='comment',
            name='replies_to',
            field=models.ForeignKey(blank=True, help_text='If this is a reply to a Comment, the Comment that this is in reply to.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='replies', to='discussion.Comment'),
        ),
        migrations.AddField(
            model_name='comment',
            name='user',
            field=models.ForeignKey(help_text='The user making a comment.', on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AlterUniqueTogether(
            name='discussion',
            unique_together=set([('attached_to_content_type', 'attached_to_object_id')]),
        ),
        migrations.AlterIndexTogether(
            name='comment',
            index_together=set([('discussion', 'user')]),
        ),
    ]
