# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2016-05-21 19:27
from __future__ import unicode_literals

from django.db import migrations, models
import jsonfield.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Module',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.SlugField(help_text='A slug-like identifier for the Module.', max_length=100)),
                ('visible', models.BooleanField(db_index=True, default=True, help_text='Whether the Module is offered to users.')),
                ('spec', jsonfield.fields.JSONField(help_text='Module definition data.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
            ],
        ),
        migrations.CreateModel(
            name='ModuleQuestion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.SlugField(help_text='A slug-like identifier for the question.', max_length=100)),
                ('definition_order', models.IntegerField(help_text='An integer giving the order in which this question is defined by the Module.')),
                ('spec', jsonfield.fields.JSONField(help_text='Module definition data.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
            ],
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='The title of this Task. If the user is performing multiple tasks for the same module, this title would distiguish the tasks.', max_length=256)),
                ('notes', models.TextField(blank=True, help_text='Notes set by the user about why they are completing this task.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('deleted_at', models.DateTimeField(blank=True, db_index=True, help_text="If 'deleted' by a user, the date & time the Task was deleted.", null=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
            ],
        ),
        migrations.CreateModel(
            name='TaskAnswer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('notes', models.TextField(blank=True, help_text='Notes entered by editors working on this question.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
            ],
        ),
        migrations.CreateModel(
            name='TaskAnswerHistory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', jsonfield.fields.JSONField(blank=True, help_text='The actual answer value for the Question, or None/null if the question is not really answered yet.')),
                ('notes', models.TextField(blank=True, help_text='Notes entered by the user completing this TaskAnswerHistory.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
            ],
        ),
    ]
