# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2016-05-21 19:27
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('siteapp', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('guidedmodules', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='taskanswerhistory',
            name='answered_by',
            field=models.ForeignKey(help_text='The user that provided this answer.', on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='taskanswerhistory',
            name='answered_by_task',
            field=models.ForeignKey(blank=True, help_text='A Task that supplies the answer for this question.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='is_answer_to', to='guidedmodules.Task'),
        ),
        migrations.AddField(
            model_name='taskanswerhistory',
            name='taskanswer',
            field=models.ForeignKey(help_text='The TaskAnswer that this is an aswer to.', on_delete=django.db.models.deletion.PROTECT, related_name='answer_history', to='guidedmodules.TaskAnswer'),
        ),
        migrations.AddField(
            model_name='taskanswer',
            name='question',
            field=models.ForeignKey(help_text="The question (within the Task's Module) that this TaskAnswer is answering.", on_delete=django.db.models.deletion.PROTECT, to='guidedmodules.ModuleQuestion'),
        ),
        migrations.AddField(
            model_name='taskanswer',
            name='task',
            field=models.ForeignKey(help_text='The Task that this TaskAnswer is a part of.', on_delete=django.db.models.deletion.PROTECT, related_name='answers', to='guidedmodules.Task'),
        ),
        migrations.AddField(
            model_name='task',
            name='editor',
            field=models.ForeignKey(help_text='The user that has primary responsibility for completing this Task.', on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='task',
            name='invitation_history',
            field=models.ManyToManyField(blank=True, help_text='The history of accepted invitations that had this Task as a target.', to='siteapp.Invitation'),
        ),
        migrations.AddField(
            model_name='task',
            name='module',
            field=models.ForeignKey(help_text='The Module that this Task is answering.', on_delete=django.db.models.deletion.PROTECT, to='guidedmodules.Module'),
        ),
        migrations.AddField(
            model_name='task',
            name='project',
            field=models.ForeignKey(blank=True, help_text='The Project that this Task is a part of, or empty for Tasks that are just directly owned by the user.', null=True, on_delete=django.db.models.deletion.PROTECT, to='siteapp.Project'),
        ),
        migrations.AddField(
            model_name='modulequestion',
            name='module',
            field=models.ForeignKey(help_text='The Module that this ModuleQuestion is a part of.', on_delete=django.db.models.deletion.PROTECT, related_name='questions', to='guidedmodules.Module'),
        ),
        migrations.AddField(
            model_name='module',
            name='superseded_by',
            field=models.ForeignKey(blank=True, help_text='When a Module is superseded by a new version, this points to the newer version.', null=True, on_delete=django.db.models.deletion.SET_NULL, to='guidedmodules.Module'),
        ),
        migrations.AlterUniqueTogether(
            name='taskanswer',
            unique_together=set([('task', 'question')]),
        ),
        migrations.AlterIndexTogether(
            name='task',
            index_together=set([('project', 'editor', 'module')]),
        ),
        migrations.AlterUniqueTogether(
            name='modulequestion',
            unique_together=set([('module', 'key')]),
        ),
    ]
