# -*- coding: utf-8 -*-
# Generated by Django 1.9.8 on 2016-08-22 16:03
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion

def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    m_model = apps.get_model("guidedmodules", "Module")
    mq_model = apps.get_model("guidedmodules", "ModuleQuestion")
    db_alias = schema_editor.connection.alias
    for obj in mq_model.objects.all():
        if obj.spec.get("module-id"):
            mq_model.objects\
                .filter(id=obj.id)\
                .update(answer_type_module=m_model.objects.get(id=obj.spec["module-id"]))

class Migration(migrations.Migration):

    dependencies = [
        ('guidedmodules', '0010_auto_20160809_1500'),
    ]

    operations = [
        migrations.AddField(
            model_name='modulequestion',
            name='answer_type_module',
            field=models.ForeignKey(blank=True, help_text='For module and module-set typed questions, this is the Module that Tasks that answer this question must be for.', null=True, on_delete=django.db.models.deletion.PROTECT, related_name='is_type_of_answer_to', to='guidedmodules.Module'),
        ),
        migrations.RunPython(forwards_func),
    ]
