# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-03-13 16:39
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields

def create_system_source(apps, schema_editor):
    ModuleSource = apps.get_model("guidedmodules", "ModuleSource")
    dummy_source = ModuleSource.objects.create(
        namespace="system",
        spec={ "type": "local", "path": "modules/system" }
    )

def create_dummy_source_for_preexisting_modules(apps, schema_editor):
    ModuleSource = apps.get_model("guidedmodules", "ModuleSource")
    dummy_source = ModuleSource.objects.create(
        namespace="",
        spec={ "type": "null", "_comment": "created as a source for Modules created prior to the usage of ModuleSource field" }
    )


class Migration(migrations.Migration):

    dependencies = [
        ('guidedmodules', '0015_task_cached_is_finished'),
    ]

    operations = [
        migrations.CreateModel(
            name='ModuleSource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('namespace', models.CharField(max_length=200, unique=True, help_text="The namespace that modules loaded from this source are added into.")),
                ('spec', jsonfield.fields.JSONField(help_text='A load_modules ModuleRepository spec.')),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
            ],
        ),
        migrations.RunPython(create_dummy_source_for_preexisting_modules), # must be first for the default=1 below
        migrations.RunPython(create_system_source),
        migrations.AddField(
            model_name='module',
            name='source',
            field=models.ForeignKey(default=1, help_text='The source of this module definition.', on_delete=django.db.models.deletion.CASCADE, to='guidedmodules.ModuleSource'),
            preserve_default=False,
        )
    ]
