# -*- coding: utf-8 -*-
# Generated by Django 1.10.8 on 2017-12-10 16:53
from __future__ import unicode_literals

from django.db import migrations, models

# Clear out title_override if it's the same as the automatically generated title.
def forwards_func(apps, schema_editor):
    Task = apps.get_model("guidedmodules", "Task")
    db_alias = schema_editor.connection.alias
    for task in Task.objects.using(db_alias).all():
        if task.title_override == task.module.spec["title"]:
            task.title_override = None
            task.save()

# To reverse the migration, fill in Task.title from Task.module.title.
def reverse_func(apps, schema_editor):
    Task = apps.get_model("guidedmodules", "Task")
    db_alias = schema_editor.connection.alias
    for task in Task.objects.using(db_alias).all():
        task.title = task.module.spec["title"]
        task.save()

class Migration(migrations.Migration):

    dependencies = [
        ('guidedmodules', '0033_auto_20171129_1729'),
    ]

    operations = [
        migrations.RenameField(
            model_name='task',
            old_name='title',
            new_name='title_override',
        ),
        migrations.AlterField(
            model_name='task',
            name='title_override',
            field=models.CharField(blank=True, help_text='The title of this Task if overriding the computed instance-name or Module.title default.', max_length=256, null=True),
        ),
        migrations.RunPython(forwards_func, reverse_func),
    ]
