# -*- coding: utf-8 -*-
# Generated by Django 1.10.8 on 2018-01-26 16:07
from __future__ import unicode_literals

from django.db import migrations, models

def mark_system_source(apps, schema_editor):
    # Mark the AppSource with namespace=="system" as the system source.
    AppSource = apps.get_model("guidedmodules", "AppSource")
    AppSource.objects.filter(namespace="system").update(is_system_source=True)

class Migration(migrations.Migration):

    dependencies = [
        ('guidedmodules', '0036_auto_20180105_2222'),
    ]

    operations = [
        migrations.AddField(
            model_name='appsource',
            name='is_system_source',
            field=models.BooleanField(default=False, help_text='This field is set to True for a single AppSource that holds the system modules such as user profiles.'),
        ),

        migrations.RunPython(mark_system_source),
    ]
