# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2016-07-30 12:21
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('siteapp', '0006_organization'),
    ]

    operations = [
        migrations.AddField(
            model_name='invitation',
            name='organization',
            field=models.ForeignKey(default=1, help_text='The Organization that this Invitation belongs to.', on_delete=django.db.models.deletion.CASCADE, related_name='invitations', to='siteapp.Organization'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='project',
            name='is_organization_project',
            field=models.NullBooleanField(default=None, help_text='Each Organization has one Project that holds Organization membership privileges and Organization settings (in its root Task). In order to have a unique_together constraint with Organization, only the values None (which need not be unique) and True (which must be unique to an Organization) are used.'),
        ),
        migrations.AddField(
            model_name='project',
            name='organization',
            field=models.ForeignKey(default=1, help_text='The Organization that this project belongs to.', on_delete=django.db.models.deletion.CASCADE, related_name='projects', to='siteapp.Organization'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='project',
            name='is_account_project',
            field=models.BooleanField(default=False, help_text='Each User has one Project per Organization for account Tasks.'),
        ),
        migrations.AlterUniqueTogether(
            name='project',
            unique_together=set([('organization', 'is_organization_project')]),
        ),
    ]
