# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-08 19:43
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('siteapp', '0012_auto_20161221_1705'),
    ]


    def create_a_folder_for_every_project(apps, schema_editor):
        # Create a Folder for every non-special project.
        Folder = apps.get_model("siteapp", "Folder")
        Project = apps.get_model("siteapp", "Project")
        for project in Project.objects.filter(
            is_account_project=False,
            is_organization_project=None, # None is used in place of False, see the model
            ):
            folder = Folder.objects.create(
                organization=project.organization,
                title=project.title,
            )
            folder.projects.add(project)

    operations = [
        migrations.CreateModel(
            name='Folder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(help_text='The title of this Project.', max_length=256)),
                ('created', models.DateTimeField(auto_now_add=True, db_index=True)),
                ('updated', models.DateTimeField(auto_now=True, db_index=True)),
                ('extra', jsonfield.fields.JSONField(blank=True, help_text='Additional information stored with this object.')),
                ('organization', models.ForeignKey(help_text='The Organization that this project belongs to.', on_delete=django.db.models.deletion.CASCADE, related_name='folders', to='siteapp.Organization')),
                ('projects', models.ManyToManyField(help_text='The Projects that are listed within this Folder.', related_name='contained_in_folders', to='siteapp.Project')),
            ],
        ),
        migrations.RunPython(create_a_folder_for_every_project, reverse_code=lambda apps, schema : None),
    ]
