# -*- coding: utf-8 -*-
# Generated by Django 1.10.8 on 2017-12-10 17:17
from __future__ import unicode_literals

from django.db import migrations

# Move project.title into project.root_task.title_override before
# dropping the project.title column if project.title != project.root_task.module.title.
def forwards_func(apps, schema_editor):
    Project = apps.get_model("siteapp", "Project")
    db_alias = schema_editor.connection.alias
    for project in Project.objects.using(db_alias).all():
        if project.title != project.root_task.module.spec["title"]:
            project.root_task.title_override = project.title
            project.root_task.save()

# To reverse the migration, fill in Project.title from Project.root_task.title.
def reverse_func(apps, schema_editor):
    Project = apps.get_model("siteapp", "Project")
    db_alias = schema_editor.connection.alias
    for project in Project.objects.using(db_alias).all():
        project.title = project.root_task.title
        project.save()

class Migration(migrations.Migration):

    dependencies = [
        ('siteapp', '0021_auto_20171029_2217'),
        ('guidedmodules', '0034_title_override'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
        migrations.RemoveField(
            model_name='project',
            name='title',
        ),
    ]
